package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class OrgInfo {
    private Integer orgId;

    private String orgName;

    private String shortName;

    private String orgCode;

    private Integer orgClassId;

    private Integer companyNature;

    private Integer busiType;

    private String address;

    private String contact;

    private String fax;

    private String chargePerson;

    private String longitude;

    private String latitude;

    private Integer registCapital;

    private Integer workNumber;

    private Integer areaCode;

    private String areaName;

    private Integer post;

    private Integer depotClass;

    private Integer designCapacity;

    private Integer effectiveCapacity;

    private Float depotArea;

    private Date completeDate;

    private Date useDate;

    private String companyOrgCode;

    private String creditCode;

    private Integer registType;

    private Integer qualification;

    private Integer independentCorporation;

    private String legalPerson;

    private Integer whetherRent;

    private String infoRegist;

    private Date registDate;

    private String remark;

    private Integer parentId;

    private Integer status;

    private Integer delFlag;

    private String birdsEye;

    private String birdsRemote;

    private String briefIntroduction;

    private String invoiceTitle;

    private String registNumber;

    private String bankName;

    private String accountName;

    private String accountNumber;

    private String province;

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    private String city;

    /**
     * 组织编号
     * @return org_id 组织编号
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织编号
     * @param orgId 组织编号
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 组织名称
     * @return org_name 组织名称
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * 组织名称
     * @param orgName 组织名称
     */
    public void setOrgName(String orgName) {
        this.orgName = orgName == null ? null : orgName.trim();
    }

    /**
     * 组织简称
     * @return short_name 组织简称
     */
    public String getShortName() {
        return shortName;
    }

    /**
     * 组织简称
     * @param shortName 组织简称
     */
    public void setShortName(String shortName) {
        this.shortName = shortName == null ? null : shortName.trim();
    }

    /**
     * 组织代码
     * @return org_code 组织代码
     */
    public String getOrgCode() {
        return orgCode;
    }

    /**
     * 组织代码
     * @param orgCode 组织代码
     */
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode == null ? null : orgCode.trim();
    }

    /**
     * 组织类别
     * @return org_class_id 组织类别
     */
    public Integer getOrgClassId() {
        return orgClassId;
    }

    /**
     * 组织类别
     * @param orgClassId 组织类别
     */
    public void setOrgClassId(Integer orgClassId) {
        this.orgClassId = orgClassId;
    }

    /**
     * 企业性质
     * @return company_nature 企业性质
     */
    public Integer getCompanyNature() {
        return companyNature;
    }

    /**
     * 企业性质
     * @param companyNature 企业性质
     */
    public void setCompanyNature(Integer companyNature) {
        this.companyNature = companyNature;
    }

    /**
     * 业务类型
     * @return busi_type 业务类型
     */
    public Integer getBusiType() {
        return busiType;
    }

    /**
     * 业务类型
     * @param busiType 业务类型
     */
    public void setBusiType(Integer busiType) {
        this.busiType = busiType;
    }

    /**
     * 地址
     * @return address 地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 地址
     * @param address 地址
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * 电话
     * @return contact 电话
     */
    public String getContact() {
        return contact;
    }

    /**
     * 电话
     * @param contact 电话
     */
    public void setContact(String contact) {
        this.contact = contact == null ? null : contact.trim();
    }

    /**
     * 库点传真
     * @return fax 库点传真
     */
    public String getFax() {
        return fax;
    }

    /**
     * 库点传真
     * @param fax 库点传真
     */
    public void setFax(String fax) {
        this.fax = fax == null ? null : fax.trim();
    }

    /**
     * 负责人
     * @return charge_person 负责人
     */
    public String getChargePerson() {
        return chargePerson;
    }

    /**
     * 负责人
     * @param chargePerson 负责人
     */
    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson == null ? null : chargePerson.trim();
    }

    /**
     * 经度
     * @return longitude 经度
     */
    public String getLongitude() {
        return longitude;
    }

    /**
     * 经度
     * @param longitude 经度
     */
    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    /**
     * 纬度
     * @return latitude 纬度
     */
    public String getLatitude() {
        return latitude;
    }

    /**
     * 纬度
     * @param latitude 纬度
     */
    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    /**
     * 注册资本
     * @return regist_capital 注册资本
     */
    public Integer getRegistCapital() {
        return registCapital;
    }

    /**
     * 注册资本
     * @param registCapital 注册资本
     */
    public void setRegistCapital(Integer registCapital) {
        this.registCapital = registCapital;
    }

    /**
     * 在岗人数
     * @return work_number 在岗人数
     */
    public Integer getWorkNumber() {
        return workNumber;
    }

    /**
     * 在岗人数
     * @param workNumber 在岗人数
     */
    public void setWorkNumber(Integer workNumber) {
        this.workNumber = workNumber;
    }

    /**
     * 行政区划代码
     * @return area_code 行政区划代码
     */
    public Integer getAreaCode() {
        return areaCode;
    }

    /**
     * 行政区划代码
     * @param areaCode 行政区划代码
     */
    public void setAreaCode(Integer areaCode) {
        this.areaCode = areaCode;
    }

    /**
     * 行政区划名称
     * @return area_name 行政区划名称
     */
    public String getAreaName() {
        return areaName;
    }

    /**
     * 行政区划名称
     * @param areaName 行政区划名称
     */
    public void setAreaName(String areaName) {
        this.areaName = areaName == null ? null : areaName.trim();
    }

    /**
     * 邮政编码
     * @return post 邮政编码
     */
    public Integer getPost() {
        return post;
    }

    /**
     * 邮政编码
     * @param post 邮政编码
     */
    public void setPost(Integer post) {
        this.post = post;
    }

    /**
     * 库点类别
     * @return depot_class 库点类别
     */
    public Integer getDepotClass() {
        return depotClass;
    }

    /**
     * 库点类别
     * @param depotClass 库点类别
     */
    public void setDepotClass(Integer depotClass) {
        this.depotClass = depotClass;
    }

    /**
     * 设计仓容
     * @return design_capacity 设计仓容
     */
    public Integer getDesignCapacity() {
        return designCapacity;
    }

    /**
     * 设计仓容
     * @param designCapacity 设计仓容
     */
    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    /**
     * 有效仓容
     * @return effective_capacity 有效仓容
     */
    public Integer getEffectiveCapacity() {
        return effectiveCapacity;
    }

    /**
     * 有效仓容
     * @param effectiveCapacity 有效仓容
     */
    public void setEffectiveCapacity(Integer effectiveCapacity) {
        this.effectiveCapacity = effectiveCapacity;
    }

    /**
     * 库点面积
     * @return depot_area 库点面积
     */
    public Float getDepotArea() {
        return depotArea;
    }

    /**
     * 库点面积
     * @param depotArea 库点面积
     */
    public void setDepotArea(Float depotArea) {
        this.depotArea = depotArea;
    }

    /**
     * 建成日期
     * @return complete_date 建成日期
     */
    public Date getCompleteDate() {
        return completeDate;
    }

    /**
     * 建成日期
     * @param completeDate 建成日期
     */
    public void setCompleteDate(Date completeDate) {
        this.completeDate = completeDate;
    }

    /**
     * 启用日期
     * @return use_date 启用日期
     */
    public Date getUseDate() {
        return useDate;
    }

    /**
     * 启用日期
     * @param useDate 启用日期
     */
    public void setUseDate(Date useDate) {
        this.useDate = useDate;
    }

    /**
     * 组织机构代码
     * @return company_org_code 组织机构代码
     */
    public String getCompanyOrgCode() {
        return companyOrgCode;
    }

    /**
     * 组织机构代码
     * @param companyOrgCode 组织机构代码
     */
    public void setCompanyOrgCode(String companyOrgCode) {
        this.companyOrgCode = companyOrgCode == null ? null : companyOrgCode.trim();
    }

    /**
     * 社会信用代码
     * @return credit_code 社会信用代码
     */
    public String getCreditCode() {
        return creditCode;
    }

    /**
     * 社会信用代码
     * @param creditCode 社会信用代码
     */
    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode == null ? null : creditCode.trim();
    }

    /**
     * 企业登记注册类型
     * @return regist_type 企业登记注册类型
     */
    public Integer getRegistType() {
        return registType;
    }

    /**
     * 企业登记注册类型
     * @param registType 企业登记注册类型
     */
    public void setRegistType(Integer registType) {
        this.registType = registType;
    }

    /**
     * 是否具有独立法人资格
     * @return qualification 是否具有独立法人资格
     */
    public Integer getQualification() {
        return qualification;
    }

    /**
     * 是否具有独立法人资格
     * @param qualification 是否具有独立法人资格
     */
    public void setQualification(Integer qualification) {
        this.qualification = qualification;
    }

    /**
     * 
     * @return independent_corporation 
     */
    public Integer getIndependentCorporation() {
        return independentCorporation;
    }

    /**
     * 
     * @param independentCorporation 
     */
    public void setIndependentCorporation(Integer independentCorporation) {
        this.independentCorporation = independentCorporation;
    }

    /**
     * 法人
     * @return legal_person 法人
     */
    public String getLegalPerson() {
        return legalPerson;
    }

    /**
     * 法人
     * @param legalPerson 法人
     */
    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson == null ? null : legalPerson.trim();
    }

    /**
     * 是否租库
     * @return whether_rent 是否租库
     */
    public Integer getWhetherRent() {
        return whetherRent;
    }

    /**
     * 是否租库
     * @param whetherRent 是否租库
     */
    public void setWhetherRent(Integer whetherRent) {
        this.whetherRent = whetherRent;
    }

    /**
     * 信息登记人
     * @return info_regist 信息登记人
     */
    public String getInfoRegist() {
        return infoRegist;
    }

    /**
     * 信息登记人
     * @param infoRegist 信息登记人
     */
    public void setInfoRegist(String infoRegist) {
        this.infoRegist = infoRegist == null ? null : infoRegist.trim();
    }

    /**
     * 登记日期
     * @return regist_date 登记日期
     */
    public Date getRegistDate() {
        return registDate;
    }

    /**
     * 登记日期
     * @param registDate 登记日期
     */
    public void setRegistDate(Date registDate) {
        this.registDate = registDate;
    }

    /**
     * 注释信息
     * @return remark 注释信息
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 注释信息
     * @param remark 注释信息
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 父编号
     * @return parent_id 父编号
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 父编号
     * @param parentId 父编号
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 状态
     * @return status 状态
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 状态
     * @param status 状态
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 删除标记
     * @return del_flag 删除标记
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标记
     * @param delFlag 删除标记
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 首页的鸟瞰图，2.5D图
     * @return birds_eye 首页的鸟瞰图，2.5D图
     */
    public String getBirdsEye() {
        return birdsEye;
    }

    /**
     * 首页的鸟瞰图，2.5D图
     * @param birdsEye 首页的鸟瞰图，2.5D图
     */
    public void setBirdsEye(String birdsEye) {
        this.birdsEye = birdsEye == null ? null : birdsEye.trim();
    }

    /**
     * 远程监管的鸟瞰图，2.5D图
     * @return birds_Remote 远程监管的鸟瞰图，2.5D图
     */
    public String getBirdsRemote() {
        return birdsRemote;
    }

    /**
     * 远程监管的鸟瞰图，2.5D图
     * @param birdsRemote 远程监管的鸟瞰图，2.5D图
     */
    public void setBirdsRemote(String birdsRemote) {
        this.birdsRemote = birdsRemote == null ? null : birdsRemote.trim();
    }

    /**
     * 简介
     * @return brief_introduction 简介
     */
    public String getBriefIntroduction() {
        return briefIntroduction;
    }

    /**
     * 简介
     * @param briefIntroduction 简介
     */
    public void setBriefIntroduction(String briefIntroduction) {
        this.briefIntroduction = briefIntroduction == null ? null : briefIntroduction.trim();
    }

    /**
     * 开票信息（发票抬头）
     * @return invoice_title 开票信息（发票抬头）
     */
    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    /**
     * 开票信息（发票抬头）
     * @param invoiceTitle 开票信息（发票抬头）
     */
    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle == null ? null : invoiceTitle.trim();
    }

    /**
     * 工商登记编号
     * @return regist_number 工商登记编号
     */
    public String getRegistNumber() {
        return registNumber;
    }

    /**
     * 工商登记编号
     * @param registNumber 工商登记编号
     */
    public void setRegistNumber(String registNumber) {
        this.registNumber = registNumber == null ? null : registNumber.trim();
    }

    /**
     * 开户行名称
     * @return bank_name 开户行名称
     */
    public String getBankName() {
        return bankName;
    }

    /**
     * 开户行名称
     * @param bankName 开户行名称
     */
    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    /**
     * 银行账户名称
     * @return account_name 银行账户名称
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 银行账户名称
     * @param accountName 银行账户名称
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    /**
     * 开户账号
     * @return account_number 开户账号
     */
    public String getAccountNumber() {
        return accountNumber;
    }

    /**
     * 开户账号
     * @param accountNumber 开户账号
     */
    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber == null ? null : accountNumber.trim();
    }
}